[Deprecated]: V1
get
/ec-dc-svc/rest/v1/studies/{studyId}/{mode}/subjects/sitestudyversion
Deprecated: Lists all subjects for sites in a specific study version that you have access to and that have a study version.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890
Query Parameters
-
limit: integer(int32)
Minimum Value:
0The number of subjects, beginning with the offset, that you want to retrieve. Offset must be provided to use this parameter. For example, if you want to retrieve subjects in multiple batches of 10, you can start with an offset of 0 and limit of 10, then repeat calls to this endpoint and increase the offset value by 10 each time. -
offset: integer(int32)
Minimum Value:
0An order number to specify with which subject you want to start retrieving subjects. If provided, you also need to specify a value for the limit parameter. Offset is affected by the value of the order parameter. -
order(required): string
The sorting order for subjects. Sorting is done by subject number. If you don't specify a value, the order is ascending by default. Accepts asc or desc.
-
siteId: string(uuid)
ID of the site for which you want to retrieve subjects. The site must have a study version to return any results.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Subjects success.
Root Schema : schema
Type:
Show Source
array-
Array of:
object SubjectDto1
Base subject details including identity, demographics, study and site context, and state transitions
Nested Schema : SubjectDto1
Type:
objectBase subject details including identity, demographics, study and site context, and state transitions
Show Source
-
comment: string
Minimum Length:
0Maximum Length:2048Comment for latest subject updateExample:Initial enrollment -
description: string
Minimum Length:
0Maximum Length:500Free text description for the subjectExample:Screened subject -
dob: string
(date-time)
Date of birth
-
enrollmentFailure: string
Minimum Length:
0Maximum Length:255Reason for enrollment failure, if anyExample:Consent withdrawn -
enrollmentOverride: string
Minimum Length:
0Maximum Length:255If subject enrollment is overridden.Example:Subject Enrollment Overridden -
gender: string
Minimum Length:
0Maximum Length:10Gender valueExample:[{"value":"1","label":"male"}] -
id: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the subjectExample:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
informedConsentDate: string
(date-time)
Informed consent dateExample:
2025-09-25T09:00:00Z -
reason: string
Minimum Length:
0Maximum Length:255Reason for latest subject updateExample:Protocol break happened -
screeningDate: string
(date-time)
Screening date if applicableExample:
2025-10-01T10:00:00Z -
screeningFailure: string
Minimum Length:
0Maximum Length:255Reason for screening failure, if anyExample:Inclusion criteria not met -
siteId: string
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
state(required): string
Minimum Length:
0Maximum Length:100Lifecycle state of the subject in the study. Reflects the subject???s current status. Common values include:- New
- Active
- Screening_Initiated
- Screen_Failed
- Withdrawn
- Auto_Screen_Failed
- Complete
- Enrolled
Example:Active -
stateDate: string
(date-time)
Timestamp when the subject transitioned to current stateExample:
2025-10-16T14:30:31.892Z -
studyId: string
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
studyVersion(required): string
String representing the version of the study. Helps track changes in form or study design.Example:
3.0.0.1 -
subjectNumber(required): string
Minimum Length:
0Maximum Length:500Unique subject Number representing the patient/participant enrolled in the study.Example:SUBJ-0001 -
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.Example:
2025-10-16T14:30:31.892Z
400 Response
Bad request.
Nested Schema : result
Type:
objectNested Schema : details
Type:
object